{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://challenge-reports-api-e14b44-dev.apps.silver.devops.gov.bc.ca","description":"Generated server url"}],"tags":[{"name":"Challenge Reports Session","description":"Endpoints to update challenge reports session."},{"name":"Challenge Report Status Codes","description":"Endpoints to get challenge report status codes."}],"paths":{"/api/v1/challenge-reports/{challengeReportSessionID}":{"put":{"tags":["Challenge Reports Session"],"operationId":"updateChallengeReportsSessionAttributes","parameters":[{"name":"challengeReportSessionID","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChallengeReportsSession"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChallengeReportsSession"}}}},"404":{"description":"NOT FOUND","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChallengeReportsSession"}}}},"400":{"description":"BAD REQUEST","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChallengeReportsSession"}}}}}}},"/api/v1/challenge-reports/preliminaryStage/{updateUser}":{"post":{"tags":["challenge-reports-api-controller"],"operationId":"startPreliminaryStage","parameters":[{"name":"updateUser","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"BAD REQUEST","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/v1/challenge-reports/finalStage/{updateUser}":{"post":{"tags":["challenge-reports-api-controller"],"operationId":"startFinalStage","parameters":[{"name":"updateUser","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"BAD REQUEST","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/v1/challenge-reports/report/{reportType}/download":{"get":{"tags":["ministry-report-api-controller"],"operationId":"getMinistryChallengeReport","parameters":[{"name":"reportType","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadableReportResponse"}}}},"400":{"description":"BAD REQUEST","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadableReportResponse"}}}}}}},"/api/v1/challenge-reports/district/{districtID}":{"get":{"tags":["challenge-reports-api-controller"],"operationId":"getDistrictChallengeReportCounts","parameters":[{"name":"districtID","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DistrictChallengeReportsCounts"}}}},"400":{"description":"BAD REQUEST","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DistrictChallengeReportsCounts"}}}}}}},"/api/v1/challenge-reports/district/{districtID}/download":{"get":{"tags":["challenge-reports-api-controller"],"operationId":"getDownloadableChallengeReport","parameters":[{"name":"districtID","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadableReportResponse"}}}},"400":{"description":"BAD REQUEST","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadableReportResponse"}}}}}}},"/api/v1/challenge-reports/challenge-report-status-codes":{"get":{"tags":["Challenge Report Status Codes"],"operationId":"getChallengeReportStatusCodes","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChallengeReportStatusCode"}}}}}}}},"/api/v1/challenge-reports/activeSession":{"get":{"tags":["challenge-reports-api-controller"],"operationId":"getChallengeReportsSession","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChallengeReportsSession"}}}},"400":{"description":"BAD REQUEST","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChallengeReportsSession"}}}}}}}},"components":{"schemas":{"ChallengeReportsSession":{"required":["challengeReportsSessionID","finalDateForChanges","fundingRate"],"type":"object","properties":{"createUser":{"maxLength":100,"minLength":0,"type":"string"},"updateUser":{"maxLength":100,"minLength":0,"type":"string"},"createDate":{"type":"string"},"updateDate":{"type":"string"},"challengeReportsSessionID":{"type":"string","format":"uuid"},"challengeReportsStatusCode":{"maxLength":10,"minLength":0,"type":"string"},"schoolYear":{"type":"string"},"fundingRate":{"maxLength":255,"minLength":0,"type":"string"},"finalDateForChanges":{"type":"string","format":"date-time"},"preliminaryStageCompletionDate":{"type":"string","format":"date-time"},"finalStageCompletionDate":{"type":"string","format":"date-time"}}},"DownloadableReportResponse":{"type":"object","properties":{"reportType":{"type":"string"},"documentData":{"type":"string"}}},"DistrictChallengeReportsCounts":{"type":"object","properties":{"districtID":{"type":"string"},"schoolsWithCounts":{"type":"array","items":{"$ref":"#/components/schemas/SchoolChallengeReportsCount"}}}},"SchoolChallengeReportsCount":{"type":"object","properties":{"schoolID":{"type":"string"},"count":{"type":"string"}}},"ChallengeReportStatusCode":{"required":["challengeReportStatusCode","description","displayOrder","effectiveDate","expiryDate","label"],"type":"object","properties":{"challengeReportStatusCode":{"maxLength":10,"minLength":0,"type":"string"},"label":{"maxLength":100,"minLength":0,"type":"string"},"description":{"maxLength":255,"minLength":0,"type":"string"},"displayOrder":{"type":"integer","format":"int32"},"effectiveDate":{"type":"string"},"expiryDate":{"type":"string"}}}}}}